Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027851
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajorhave not tried2014-10-13 13:292014-10-22 13:50
ReporterplujanView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRR14Q3
StatusclosedFix in branchpiFixed in SCM revisionef6690a5b5d5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - QA Approved
Regression date
Regression introduced in releaseRR14Q3
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/ff64aefab4b0 [^]
Triggers an Emergency PackNo
Summary

0027851: Discount packs not getting totals

DescriptionI created a discount pack in the backend. When used in the webpos, I got all the lines added but total remains on zero.
Steps To ReproduceScenario that works fine:
Log in ERP as Group -Admin-The White Valley Group
Go to Discounts and Promotions window
Create new record
Header tab
-Discount type: Pack
-Name: Ski touring pack
-Starting date: 01-01-2012
-Products: Only those defined
-Discount/Promotion Price: 300
-Currency: EUR
-UPC: 1111
Products tab
-Create 3 lines:
-Ski touring boot alpine, qty: 1
-Ski touring board, qty: 1
-Ski touring pole compact, qty: 1
 

Scenario that fails:
Log in ERP as Group -Admin-The White Valley Group
Go to Discounts and Promotions window
Create new record
Header tab
-Discount type: Pack
-Name: Ski touring pack No Qty
-Starting date: 01-01-2012
-Products: Only those defined
-Discount/Promotion Price: 300
-Currency: EUR
-UPC: 2222
Products tab
-Create 3 lines:
-Ski touring boot alpine, do not fill the quantity field as is not mandatory
-Ski touring board, do not fill the quantity field as is not mandatory
-Ski touring pole compact, do not fill the quantity field as is not mandatory


Log in POS (online)

- Browse → Pack → Ski touring pack (click) (Works as expected)
- Browse → Pack → Ski touring pack No Qty (click) (Expected result, the pack is added to the order and the total is 300. Actual result, the pack is added but total remains on 0.00)

- Search → Ski touring pack (click) (Works as expected)
- Search → Ski touring pack No Qty (click) (Expected result, the pack is added to the order and now the total is 600. Actual result, the pack is added but total remains on 0.00)

- Scan 1111 UPC/EAN (works as expected)
- Scan 2222 UPC/EAN (Expected result, the pack is added to the order and now the total is 900. Actual result, the pack is added but total remains on 0.00)
TagsNo tags attached.
Attached Filespng file icon Packs not working.png [^] (43,628 bytes) 2014-10-13 13:29

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0070969)
hgbot (developer)
2014-10-15 16:41

Repository: erp/pmods/org.openbravo.retail.discounts
Changeset: ef6690a5b5d569ee971d7603aaf2f6e9fd4ca58c
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Wed Oct 15 16:40:34 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/ef6690a5b5d569ee971d7603aaf2f6e9fd4ca58c [^]

fixed issue 0027851:in packs, if qty product is void, 1 unit is used by default

---
M web/org.openbravo.retail.discounts/js/promotion-pack.js
---
(0071119)
marvintm (developer)
2014-10-22 13:50

Included in Q3.1 (this version is not available in the "Fixed in Version" combo)

- Issue History
Date Modified Username Field Change
2014-10-13 13:29 plujan New Issue
2014-10-13 13:29 plujan Assigned To => marvintm
2014-10-13 13:29 plujan File Added: Packs not working.png
2014-10-13 13:29 plujan Triggers an Emergency Pack => No
2014-10-15 14:11 plujan Regression level => Production - QA Approved
2014-10-15 14:11 plujan Regression introduced in release => RR14Q3
2014-10-15 14:58 plujan Steps to Reproduce Updated View Revisions
2014-10-15 16:41 hgbot Checkin
2014-10-15 16:41 hgbot Note Added: 0070969
2014-10-15 16:41 hgbot Status new => resolved
2014-10-15 16:41 hgbot Resolution open => fixed
2014-10-15 16:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/ef6690a5b5d569ee971d7603aaf2f6e9fd4ca58c [^]
2014-10-15 16:46 malsasua Status resolved => new
2014-10-15 16:46 malsasua Resolution fixed => open
2014-10-15 16:47 malsasua Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/ff64aefab4b0 [^]
2014-10-15 16:47 malsasua Status new => scheduled
2014-10-15 16:47 malsasua fix_in_branch => pi
2014-10-15 16:47 malsasua Status scheduled => resolved
2014-10-15 16:47 malsasua Resolution open => fixed
2014-10-22 13:50 marvintm Review Assigned To => marvintm
2014-10-22 13:50 marvintm Note Added: 0071119
2014-10-22 13:50 marvintm Status resolved => closed
2014-10-22 13:50 marvintm Fixed in Version => RR14Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker